<?php
require dirname(__FILE__).'/../config/ldap.inc.php';
$term = strtolower($_GET['term']);
if(!preg_match('/[^a-z]/',$term)){
	if(isset($_GET['term'])&&(!empty($_GET['term']))){
		try{
			$ldapconn = ldap_connect($ldaphost,$ldapport) or die("Impossible de se connecter au serveur LDAP {$ldaphost}");
			if($ldapconn){
				$ldapbind = ldap_bind($ldapconn);		
				$users = array();
				if($ldapbind){
					//$filtre=$ldap_cn."=".$_GET['term']."*";
					$filtre="(&(".$ldap_cn."=".$_GET['term']."*)(objectclass=inetOrgPerson))";
					$read=ldap_search($ldapconn,$ldapdn,$filtre);
					$info=ldap_get_entries($ldapconn,$read);
					for($i=0;$i<$info["count"];$i++){
						$users[] = $info[$i][$ldap_cn][0];
					}
				}else{
					echo 'Connexion LDAP anonmye échouée';
				}	     
			}else{
				echo 'Erreur de connection au serveur LDAP';
			}
		}catch(Exception $e){
			echo 'Exception : '.$e->getMessage();
		}
		ldap_close($ldapconn);
		
		echo json_encode($users);
	}
}