<?php
if(isset($_SESSION['user_login'])&&(!empty($_SESSION['user_login']))){
$user_login = Secure::bdd($_SESSION['user_login']);

$cal = Secure::bdd($_GET['cal']);
$cal_checkbox_color = $_SESSION['checkbox_color'];

$is_admin = is_admin($user_login,recuperer_id($cal));
$is_super_admin = is_super_admin($user_login);
$is_editeur = is_editeur($user_login,recuperer_id($cal));

if($is_super_admin) {
	$infos_user = recup_infos($user_login,1);
} else {
	$infos_user = recup_infos($user_login,recuperer_id($cal));
}

if(is_user_exist_uid($user_login)){
	$infos_user_ldap = recup_infos_ldap($user_login);
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
	<title>Calendrier Académique</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<link rel="stylesheet" type="text/css" href="<?php echo $url_css;?>/main.css"/>
	<link rel="stylesheet" type="text/css" href="<?php echo $url_css;?>/bootstrap.min.css"/>
	<link rel="stylesheet" type="text/css" href="<?php echo $url_css;?>/jquery-ui-custom.css"/>
	<link rel="stylesheet" type="text/css" href="<?php echo $url_css;?>/jquery-notify.css"/>
	<link rel="stylesheet" type="text/css" href="<?php echo $url_css;?>/jquery.prettyCheckable.css"/>
	<link rel="stylesheet" type="text/css" href="<?php echo $url_css;?>/fullcalendar.css"/>
	<link rel="stylesheet" type="text/css" href="<?php echo $url_css;?>/fullcalendar.print.css" media="print"/>
	<?php
	// Inclusion de la sonde piwik envole
	$profil = "??";
	if (isset($_SESSION['user_profil'])) $profil = $_SESSION['user_profil']; 
	if(file_exists('/var/www/html/sondepiwik/envoleTrackeur.js.php')) echo "<script src='/sondepiwik/envoleTrackeur.js.php?appli=calendrier&profil=$profil'></script>";
	elseif(file_exists('/var/www/html/piwik/envoleTrackeur.js.php')) echo "<script src='/piwik/envoleTrackeur.js.php?appli=calendrier&amp;profil=".$profil."'></script>"; 
	?>
	<script type="text/javascript" src="lib/jquery/jquery.js"></script>
	<script type="text/javascript" src="lib/jquery/jquery-ui.js"></script>
	<script type="text/javascript" src="lib/bootstrap.min.js"></script>
	<script type="text/javascript" src="lib/jquery/jquery-qtip.js"></script>
	<script type="text/javascript" src="lib/jquery/jquery-notify.js"></script>
	<script type="text/javascript" src="lib/jquery/jquery-prettyCheckable.js"></script>
	<script type="text/javascript" src="lib/scripts/fullcalendar.js"></script>
	<script type="text/javascript" src="lib/scripts/scripts.js"></script>
	<script type="text/javascript">
	var date = new Date();
	var m = date.getMonth();

	$(document).ready(function() {
		event_affectation = '';
		$("#container_calendar_add").dialog({autoOpen: false});
		$("#container_calendar_mod").dialog({autoOpen: false});
		jQuery('input').filter('.datepicker').datepicker({
			dateFormat: 'dd/mm/yy',
			monthNames: ['Janvier', 'Février', 'Mars', 'Avril', 'Mai', 'Juin', 'Juillet', 'Août', 'Septembre', 'Octobre', 'Novembre', 'Décembre'],
			dayNamesMin: ['Di', 'Lu', 'Ma', 'Me', 'Je', 'Ve', 'Sa']
		});

		$("[name^='chbox_']").attr('checked', true);

		show_calendars('all');

		$("input:submit, input:button",".demo" ).button();

		$('input.myClass').prettyCheckable({
			color: '<?php echo $cal_checkbox_color;?>'
		});
	});

	function show_calendars(array_cat_id){

		//On convertit le tableau en string pour l'envoyer en POST, un array ne passe pas
		array_cat_id = array_cat_id.toString();
		event_cal = "<?php echo $cal;?>";

		$('#calendar1').fullCalendar({
			header: {left: 'prev,next',center: 'title',right: ''},aspectRatio: 5,firstDay: 1,
			events: {
				url: "application/modeles/calendrierjson.php",
				type: 'POST',
				data: { cat: array_cat_id, cal: event_cal },
			},
			eventBorderColor: "#A6BEDE",
			eventRender: function(event, element) {
				if(event.end == null){
					element.qtip({
					content: '<u><b>Description</b></u> : '+event.description+'<br/>'+'<u><b>Début</b></u> : '+$.fullCalendar.formatDate(event.start,'dd/MM/yyyy'),
					position: {target: 'mouse'},
					style: {background: event.color,textAlign: 'left',border: {width: 1,radius: 5,color: event.color},tip: 'topLeft'}});
				}else{
					element.qtip({
					content: '<u><b>Description</b></u> : '+event.description+'<br/>'+'<u><b>Début</b></u> : '+$.fullCalendar.formatDate(event.start,'dd/MM/yyyy')+'<br/>'+'<u><b>Fin</b></u> : '+$.fullCalendar.formatDate(event.end,'dd/MM/yyyy'),
					position: {target: 'mouse'},
					style: {background: event.color,textAlign: 'left',border: {width: 1,radius: 5,color: event.color},tip: 'topLeft'}});
				}
			},
			loading: function(bool) {
				if (bool) $('#loading').show();
				else $('#loading').hide();
			},
			eventMouseover: function(event, element, view) {
				$(this).css({"cursor": "pointer"});
			}
		});

		if(m == 11){var m2 = 0;}else{var m2 = m + 1;}

		$('#calendar2').fullCalendar({
			header: {left: '',center: 'title',right: ''},aspectRatio: 5,month: m2,firstDay: 1,
			events: {
				url: "application/modeles/calendrierjson.php",
				type: 'POST',
				data: { cat: array_cat_id, cal: event_cal },
			},
			eventBorderColor: "#A6BEDE",
			eventRender: function(event, element) {
				if(event.end == null){
					element.qtip({
					content: '<u><b>Description</b></u> : '+event.description+'<br/>'+'<u><b>Début</b></u> : '+$.fullCalendar.formatDate(event.start,'dd/MM/yyyy'),
					position: {target: 'mouse'},
					style: {background: event.color,textAlign: 'left',border: {width: 1,radius: 5,color: event.color},tip: 'topLeft'}});
				}else{
					element.qtip({
					content: '<u><b>Description</b></u> : '+event.description+'<br/>'+'<u><b>Début</b></u> : '+$.fullCalendar.formatDate(event.start,'dd/MM/yyyy')+'<br/>'+'<u><b>Fin</b></u> : '+$.fullCalendar.formatDate(event.end,'dd/MM/yyyy'),
					position: {target: 'mouse'},
					style: {background: event.color,textAlign: 'left',border: {width: 1,radius: 5,color: event.color},tip: 'topLeft'}});
				}
			},
			loading: function(bool) {
				if (bool) $('#loading').show();
				else $('#loading').hide();
			},
			eventMouseover: function(event, element, view) {
				$(this).css({"cursor": "pointer"});
			}
		});

		if(m2 == 11){var m3 = 1;}else{var m3 = m2 + 1;}

		$('#calendar3').fullCalendar({
			header: {left: '',center: 'title',right: ''},aspectRatio: 5,month: m3,firstDay: 1,
			events: {
				url: "application/modeles/calendrierjson.php",
				type: 'POST',
				data: { cat: array_cat_id, cal: event_cal },
			},
			eventBorderColor: "#A6BEDE",
			eventRender: function(event, element) {
				if(event.end == null){
					element.qtip({
					content: '<u><b>Description</b></u> : '+event.description+'<br/>'+'<u><b>Début</b></u> : '+$.fullCalendar.formatDate(event.start,'dd/MM/yyyy'),
					position: {target: 'mouse'},
					style: {background: event.color,textAlign: 'left',border: {width: 1,radius: 5,color: event.color},tip: 'topLeft'}});
				}else{
					element.qtip({
					content: '<u><b>Description</b></u> : '+event.description+'<br/>'+'<u><b>Début</b></u> : '+$.fullCalendar.formatDate(event.start,'dd/MM/yyyy')+'<br/>'+'<u><b>Fin</b></u> : '+$.fullCalendar.formatDate(event.end,'dd/MM/yyyy'),
					position: {target: 'mouse'},
					style: {background: event.color,textAlign: 'left',border: {width: 1,radius: 5,color: event.color},tip: 'topLeft'}});
				}
			},
			loading: function(bool) {
				if (bool) $('#loading').show();
				else $('#loading').hide();
			},
			eventMouseover: function(event, element, view) {
				$(this).css({"cursor": "pointer"});
			}
		});

		$('.fc-button-prev').click(function(){
			$('#calendar2').fullCalendar('prev');
			$('#calendar3').fullCalendar('prev');
		});
		$('.fc-button-next').click(function(){
			$('#calendar2').fullCalendar('next');
			$('#calendar3').fullCalendar('next');
		});
	}

	function update_calendars(){
		$("[id^='calendar']").fullCalendar('destroy');
		//On met dans un tableau les catégories à afficher
		var array_cat_id = new Array();
		$("input:checkbox:checked").each(function(){
				array_cat_id.push($(this).val());
			}
	    );
		show_calendars(array_cat_id);
	}
	</script>
</head>
<body>
<?php require_once 'menu.php';?>
<div id="container">
	<?php require_once 'warnings.php';?>
	<div id="legende">
		<table class="tab_legende">
			<tr class="tab_legende_cat">
			<?php
			if(count($categories)!=0){
				$taille = 100/count($categories);
			}else{
				$taille = 100;
			}
			foreach($categories as $cat){
				echo "<td class=\"default\" style=\"width:".$taille."%;\">".Secure::html($cat['categorie_description'])."</td>";
			}
			?>
			</tr>
			<tr>
			<?php
			foreach($categories as $cat){
				echo "<td style=\"background-color:".Secure::html($cat['categorie_couleur']).";height:2px;\"</td>";
			}
			?>
			</tr>
			<tr>
			<?php
			foreach($categories as $cat){
				echo "<td onclick='update_calendars()'><input type='checkbox' class='myClass' name='chbox_".Secure::html($cat['categorie_id'])."' value='".Secure::html($cat['categorie_id'])."'></td>";
			}
			?>
			</tr>
		</table>
	</div>
	<div id="container_calendar">
		<div id='loading' style='display:none'>loading...</div>
		
		<div id='switch_calendar' class="demo"><button type="button" class="btn btn-default" onclick="window.location.href='index.php?page=calendrier&cal=<?php echo $_GET['cal']; ?>'">Mois</button><button type="button" class="btn btn-default" onclick="window.location.href='index.php?page=calendrier_T&cal=<?php echo $_GET['cal']; ?>'">Trimestre</button></div>

		<div id='calendar1'></div>
		<br/>
		<div id='calendar2'></div>
		<br/>
		<div id='calendar3'></div>
	</div>
</div>
</body>
</html>
<?php
} else {
	header('Location: /calendrier/index.php?page=accueil');
}
?>
